org.eclipse.viatra.query.runtime.localsearch.matcher

## Class MatcherReference

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.matcher.MatcherReference

-     public class MatcherReference
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatcherReference(PQuery query, java.util.Set<PParameter> adornment)`
    `MatcherReference(PQuery query, java.util.Set<PParameter> adornment, QueryEvaluationHint hints)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Set<PParameter>` | `getAdornment()`
    `QueryEvaluationHint` | `getHints()`
    `PQuery` | `getQuery()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MatcherReference

          public MatcherReference(PQuery query,
                                  java.util.Set<PParameter> adornment,
                                  QueryEvaluationHint hints)

      Since:
        1.4

    - #### MatcherReference

          public MatcherReference(PQuery query,
                                  java.util.Set<PParameter> adornment)

  - ### Method Detail

    - #### getQuery

          public PQuery getQuery()

    - #### getAdornment

          public java.util.Set<PParameter> getAdornment()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getHints

          public QueryEvaluationHint getHints()

      Returns:
        the hints to override the called reference's own hints with. Can be null.
      Since:
        1.4

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`